Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfGroupedByType

    java.lang.Object
      java.lang.Enum<OdfGroupedByType>
          org.odftoolkit.odfdom.dom.type.table.OdfGroupedByType

All Implemented Interfaces:
  Serializable, Comparable<OdfGroupedByType>

    public enum OdfGroupedByType

extends Enum<OdfGroupedByType>

DOM implementation of OpenDocument attribute table:grouped-by.

Enum Constant Summary
`DAYS`
`HOURS`
`MINUTES`
`MONTHS`
`QUARTERS`
`SECONDS`
`YEARS`

Method Summary
`static OdfGroupedByType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfGroupedByType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfGroupedByType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfGroupedByType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YEARS

    public static final OdfGroupedByType YEARS

### HOURS

    public static final OdfGroupedByType HOURS

### QUARTERS

    public static final OdfGroupedByType QUARTERS

### SECONDS

    public static final OdfGroupedByType SECONDS

### DAYS

    public static final OdfGroupedByType DAYS

### MINUTES

    public static final OdfGroupedByType MINUTES

### MONTHS

    public static final OdfGroupedByType MONTHS

Method Detail

### values

    public static OdfGroupedByType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfGroupedByType c : OdfGroupedByType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfGroupedByType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfGroupedByType>`
  Returns:
    return the name of OdfGroupedByType

### toString

    public static String toString(OdfGroupedByType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfGroupedByType, see table:grouped-by
  Returns:
    return the name of OdfGroupedByType

### enumValueOf

    public static OdfGroupedByType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfGroupedByType
  Returns:
    return the constant of OdfGroupedByType, see table:grouped-by

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.